Summary:	A GNU utility for secure communication and data storage.
Name:		gnupg
Version:	1.4.2
Release:	2
License:	GPL
Group:		Applications/Cryptography
Source0:	ftp://ftp.gnupg.org/gcrypt/%{name}/%{name}-%{version}.tar.gz
Provides:	gpg openpgp
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
GnuPG (GNU Privacy Guard) is a GNU utility for encrypting data and
creating digital signatures. GnuPG has advanced key management
capabilities and is compliant with the proposed OpenPGP Internet
standard described in RFC2440. Since GnuPG doesn't use any patented
algorithm, it is not compatible with any version of PGP2 (PGP2.x uses
only IDEA for symmetric-key encryption, which is patented worldwide).

%files -f %{name}.lang
  %defattr(0444,root,root,0555)
  %doc AUTHORS COPYING ChangeLog INSTALL NEWS PROJECTS README THANKS TODO
  %doc doc/DETAILS doc/FAQ doc/HACKING doc/OpenPGP doc/faq.html
  %doc %{_mandir}/man?/*

  %attr(4511,root,root)		%{_bindir}/gpg
  %attr(0555,root,root)		%{_bindir}/gpg-convert-from-106
  %attr(0511,root,root)		%{_bindir}/gpgsplit
  %attr(0511,root,root)		%{_bindir}/gpgv
  %attr(0511,root,root)		%{_bindir}/lspgpot
  %attr(0444,root,root)		%{_datadir}/gnupg/*
  %attr(0511,root,root)		%{_libexecdir}/gnupg/gpgkeys_*

%prep
%setup -q

%build
  %configure --enable-shared
  make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  %{makeinstall}

  sed 's^\.\./g[0-9\.]*/^^g' tools/lspgpot > lspgpot

  install lspgpot $RPM_BUILD_ROOT%{_bindir}/lspgpot
  install tools/convert-from-106 $RPM_BUILD_ROOT%{_bindir}/gpg-convert-from-106

  # Remove unpackaged files
  rm -f  $RPM_BUILD_ROOT/%{_infodir}/*

  %find_lang %{name}

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Aug 25 2005 Peter O'Hara <pete@guardiandigital.com>
- Version 1.4.2, Release 2
  - Upgrade to the latest version

* Tue Jun 29 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 1.4.1, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
